#ifndef METASPACE_H
#define METASPACE_H

#include <SDL/SDL.h>
#undef main
#include <SDL/SDL_gfxPrimitives.h>

class MetaSpace
{
    public:
        MetaSpace();
        virtual ~MetaSpace();

        virtual bool init(Uint32 w, Uint32 h);
        void clean();
        bool isInside(Uint32 y, Uint32 x);

        virtual void deform(Uint32 y, Uint32 x) = 0;
        virtual void draw() = 0;

        SDL_Surface* getSurf();

    protected:
    SDL_Surface* m_buff ;
    Uint32 m_w;
    Uint32 m_h;
    Uint32 m_tab[640][480] ;
};

#endif // METASPACE_H
